/* 
 * Mach Operating System
 * Copyright (c) 1993,1992,1991,1990,1989,1988,1987 Carnegie Mellon University
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 * 
 * CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Carnegie Mellon requests users of this software to return to
 * 
 *  Software Distribution Coordinator   or   Software.Distribution@CS.CMU.EDU
 *  School of Computer Science
 *  Carnegie Mellon University
 *  Pittsburgh PA 15213-3890
 * 
 * any improvements or extensions that they made and grant Carnegie Mellon the
 * rights to redistribute these changes.
 */
/*
 * HISTORY
 * $Log:	crypt_defs.h,v $
 * Revision 2.2  93/08/10  13:09:00  mrt
 * 	First checkin to Mach 3.0 RCS tree
 * 
 * Revision 2.1  90/10/27  20:43:48  dpj
 * Moving under MACH3 source control
 * 
 * Revision 1.6  89/05/02  11:07:01  dpj
 * 	Fixed all files to conform to standard copyright/log format
 * 
 * 21-Jul-87  Robert Sansom (rds) at Carnegie Mellon University
 *	Added DES encryption/decryption functions.
 *
 *  8-Jun-87  Robert Sansom (rds) at Carnegie Mellon University
 *	Moved encryption algorithm definitions to crypt.h.
 *
 * 22-Jan-87  Robert Sansom (rds) at Carnegie Mellon University
 *	Started.
 *
 */
/*
 * crypt_defs.h
 *
 *
 * $Header: crypt_defs.h,v 2.2 93/08/10 13:09:00 mrt Exp $
 *
 */

/*
 * Internal definitions for crypt module.
 */


#ifndef	_CRYPT_DEFS_
#define	_CRYPT_DEFS_


/*
 * External definitions of functions.
 */

extern void encrypt_des();
/*
key_t		key;
pointer_t	data_ptr;
int		data_size;
*/

extern void decrypt_des();
/*
key_t		key;
pointer_t	data_ptr;
int		data_size;
*/


extern void encrypt_multperm();
/*
key_t		key;
pointer_t	data_ptr;
int		data_size;
*/

extern void decrypt_multperm();
/*
key_t		key;
pointer_t	data_ptr;
int		data_size;
*/


extern void encrypt_newdes();
/*
key_t		key;
pointer_t	data_ptr;
int		data_size;
*/

extern void decrypt_newdes();
/*
key_t		key;
pointer_t	data_ptr;
int		data_size;
*/


extern void encrypt_xor();
/*
key_t		key;
pointer_t	data_ptr;
int		data_size;
*/

extern void decrypt_xor();
/*
key_t		key;
pointer_t	data_ptr;
int		data_size;
*/

#endif	_CRYPT_DEFS_
