/* 
 * Mach Operating System
 * Copyright (c) 1993,1992,1991,1990,1989,1988,1987 Carnegie Mellon University
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 * 
 * CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Carnegie Mellon requests users of this software to return to
 * 
 *  Software Distribution Coordinator   or   Software.Distribution@CS.CMU.EDU
 *  School of Computer Science
 *  Carnegie Mellon University
 *  Pittsburgh PA 15213-3890
 * 
 * any improvements or extensions that they made and grant Carnegie Mellon the
 * rights to redistribute these changes.
 */
/*
 * HISTORY
 * $Log:	deltat.h,v $
 * Revision 2.2  93/08/10  13:10:26  mrt
 * 	First checkin to Mach 3.0 RCS tree
 * 
 * Revision 2.1  90/10/27  20:43:57  dpj
 * Moving under MACH3 source control
 * 
 * Revision 1.7  89/05/02  11:07:56  dpj
 * 	Fixed all files to conform to standard copyright/log format
 * 
 *  1-Oct-87  Daniel Julin (dpj) at Carnegie-Mellon University
 *	Modified for new request-reply transport interface. (RPCMOD)
 *
 *  4-May-87  Robert Sansom (rds) at Carnegie Mellon University
 *	Removed retry characteristic constants - they are now in the param record.
 *
 *  4-Dec-86  Robert Sansom (rds) at Carnegie Mellon University
 *	Removed deltat_abort.
 *
 * 13-Nov-86  Robert Sansom (rds) at Carnegie Mellon University
 *	Started.
 *
 */
/*
 * delta.h
 *
 *
 * $Header: deltat.h,v 2.2 93/08/10 13:10:26 mrt Exp $
 *
 */

/*
 * Public definitions for delta-t transport protocol.
 */


#ifndef	_DELTAT_
#define	_DELTAT_

#include <mach/boolean.h>

#include "transport.h"

/*
 * Delta-t specific failure codes.
 */
#define DELTAT_SUCCESS		TR_SUCCESS
#define DELTAT_ERROR_BASE	(-(TR_DELTAT_ENTRY * 16))
#define DELTAT_FAILURE		(1 + DELTAT_ERROR_BASE)
#define DELTAT_REMOTE_ABORT	(2 + DELTAT_ERROR_BASE)

/*
 * Exported functions.
 */
extern boolean_t deltat_init();
extern int deltat_retry();
#if	RPCMOD
extern int deltat_sendrequest();
#else	RPCMOD
extern int deltat_send();
#endif	RPCMOD

#endif	_DELTAT_
