/* 
 * Mach Operating System
 * Copyright (c) 1993,1992,1991,1990,1989,1988,1987 Carnegie Mellon University
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 * 
 * CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Carnegie Mellon requests users of this software to return to
 * 
 *  Software Distribution Coordinator   or   Software.Distribution@CS.CMU.EDU
 *  School of Computer Science
 *  Carnegie Mellon University
 *  Pittsburgh PA 15213-3890
 * 
 * any improvements or extensions that they made and grant Carnegie Mellon the
 * rights to redistribute these changes.
 */
/*
 * HISTORY
 * $Log:	ipc.h,v $
 * Revision 2.2  93/08/10  13:11:53  mrt
 * 	First checkin to Mach 3.0 RCS tree
 * 
 * Revision 2.1  90/10/27  20:44:06  dpj
 * Moving under MACH3 source control
 * 
 * Revision 1.6  89/05/02  11:08:59  dpj
 * 	Fixed all files to conform to standard copyright/log format
 * 
 *  6-Oct-87  Daniel Julin (dpj) at Carnegie-Mellon University
 *	Added macros for NETPORT option and declarations for RPCMOD.
 *
 *  4-Feb-87  Robert Sansom (rds) at Carnegie Mellon University
 *	Added external definitions of ipc_retry, ipc_port_dead and 
 *	ipc_msg_accepted.
 *
 *  2-Jan-87  Robert Sansom (rds) at Carnegie Mellon University
 *	Started.
 *
 */
/*
 * ipc.h
 *
 *
 * $Header: ipc.h,v 2.2 93/08/10 13:11:53 mrt Exp $
 *
 */

/*
 * External definitions for the IPC module.
 */


#ifndef	_IPC_
#define	_IPC_

#include <mach/boolean.h>

extern boolean_t ipc_init();
/*
*/


extern void ipc_msg_accepted();
/*
port_rec_ptr_t	port_rec_ptr;
*/


extern void ipc_port_dead();
/*
port_rec_ptr_t	port_rec_ptr;
*/


#if	RPCMOD
extern void ipc_port_moved();
/*
port_rec_ptr_t	port_rec_ptr;
*/
#endif	RPCMOD


extern ipc_retry();
/*
port_rec_ptr_t	port_rec_ptr;
*/


extern void ipc_freeze();
/*
port_rec_ptr_t	port_rec_ptr;
*/


#if	NETPORT
/*
 * Macros to manipulate the kernel NETPORT (MACH_NP) tables.
 */

#define	ipc_netport_enter(netport,localport,local) {			\
	if (param.conf_netport) {					\
		netport_enter(task_self(),(netport),(localport),(local)); \
	}								\
}

#define	ipc_netport_remove(netport) {					\
	if (param.conf_netport) {					\
		netport_remove(task_self(),(netport));			\
	}								\
}
#endif	NETPORT

#endif	_IPC_
