/* 
 * Mach Operating System
 * Copyright (c) 1993,1992,1991,1990,1989,1988,1987 Carnegie Mellon University
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 * 
 * CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Carnegie Mellon requests users of this software to return to
 * 
 *  Software Distribution Coordinator   or   Software.Distribution@CS.CMU.EDU
 *  School of Computer Science
 *  Carnegie Mellon University
 *  Pittsburgh PA 15213-3890
 * 
 * any improvements or extensions that they made and grant Carnegie Mellon the
 * rights to redistribute these changes.
 */
/*
 * HISTORY
 * $Log:	keyman.h,v $
 * Revision 2.2  93/08/10  13:14:15  mrt
 * 	First checkin to Mach 3.0 RCS tree
 * 
 * Revision 2.1  90/10/27  20:44:25  dpj
 * Moving under MACH3 source control
 * 
 * Revision 1.5  89/05/02  11:10:41  dpj
 * 	Fixed all files to conform to standard copyright/log format
 * 
 *  5-Jun-87  Robert Sansom (rds) at Carnegie Mellon University
 *	Replaced km_get_ikey by km_get_dkey.
 *
 *  9-Jan-87  Robert Sansom (rds) at Carnegie Mellon University
 *	Started.
 *
 */
/*
 * keyman.h
 *
 *
 * $Header: keyman.h,v 2.2 93/08/10 13:14:15 mrt Exp $
 *
 */

/*
 * External definitions for Key Management module.
 */


#ifndef	_KEYMAN_
#define	_KEYMAN_

#include <mach/boolean.h>

#include "nm_defs.h"

#define KM_SERVICE_NAME	"NETWORK_SERVER_KEY_MANAGER"

/*
 * Error Codes.
 */
#define KM_SUCCESS	0
#define KM_FAILURE	-1

extern boolean_t km_init();
/*
*/

extern boolean_t km_get_key();
/*
netaddr_t	host_id;
key_ptr_t	key_ptr;
*/

extern boolean_t km_get_dkey();
/*
netaddr_t	host_id;
key_ptr_t	ikey_ptr;
*/

extern void km_do_key_exchange();
/*
int		client_id;
int		(*client_retry)();
netaddr_t	host_id;
*/

#endif	_KEYMAN_
