/* 
 * Mach Operating System
 * Copyright (c) 1993,1992,1991,1990,1989,1988,1987 Carnegie Mellon University
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 * 
 * CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Carnegie Mellon requests users of this software to return to
 * 
 *  Software Distribution Coordinator   or   Software.Distribution@CS.CMU.EDU
 *  School of Computer Science
 *  Carnegie Mellon University
 *  Pittsburgh PA 15213-3890
 * 
 * any improvements or extensions that they made and grant Carnegie Mellon the
 * rights to redistribute these changes.
 */
/*
 * HISTORY
 * $Log:	network.h,v $
 * Revision 2.2  93/08/10  13:20:08  mrt
 * 	First checkin to Mach 3.0 RCS tree
 * 
 * Revision 2.1  90/10/27  20:45:19  dpj
 * Moving under MACH3 source control
 * 
 * Revision 1.6.1.1  90/07/30  14:02:33  dpj
 * 	Added localhost_id.
 * 
 * Revision 1.6  89/05/02  11:13:57  dpj
 * 	Fixed all files to conform to standard copyright/log format
 * 
 * 22-Dec-86  Robert Sansom (rds) at Carnegie Mellon University
 *	Added udp_checksum and last_ip_id definition.
 *
 *  3-Nov-86  Robert Sansom (rds) at Carnegie Mellon University
 *	Started.
 *
 */
/*
 * network.h
 *
 *
 * $Header: network.h,v 2.2 93/08/10 13:20:08 mrt Exp $
 *
 */

/*
 * Random network-level definitions and externs.
 */


#ifndef	_NETWORK_
#define	_NETWORK_

#include <mach/boolean.h>
#include "nm_defs.h"

#define HOST_NAME_SIZE	40
extern char			my_host_name[HOST_NAME_SIZE];
extern netaddr_t		my_host_id;
extern netaddr_t		broadcast_address;
extern netaddr_t		localhost_id;
extern short			last_ip_id;

extern boolean_t network_init();

extern int udp_checksum();

#endif	_NETWORK_
