/* 
 * Mach Operating System
 * Copyright (c) 1993,1992,1991,1990,1989,1988,1987 Carnegie Mellon University
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 * 
 * CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Carnegie Mellon requests users of this software to return to
 * 
 *  Software Distribution Coordinator   or   Software.Distribution@CS.CMU.EDU
 *  School of Computer Science
 *  Carnegie Mellon University
 *  Pittsburgh PA 15213-3890
 * 
 * any improvements or extensions that they made and grant Carnegie Mellon the
 * rights to redistribute these changes.
 */
/*
 * HISTORY
 * $Log:	portrec.h,v $
 * Revision 2.2  93/08/10  13:23:27  mrt
 * 	First checkin to Mach 3.0 RCS tree
 * 
 * Revision 2.1  90/10/27  20:45:55  dpj
 * Moving under MACH3 source control
 * 
 * Revision 1.8  89/05/02  11:16:29  dpj
 * 	Fixed all files to conform to standard copyright/log format
 * 
 * 27-Jul-87  Daniel Julin (dpj) at Carnegie-Mellon University
 *	Modified to use lock_queue macros.
 *
 *  5-Feb-87  Robert Sansom (rds) at Carnegie Mellon University
 *	Added external definition of pr_np_puid_lookup.
 *	Removed external definition of pr_create.
 *
 *  5-Nov-86  Robert Sansom (rds) at Carnegie-Mellon University
 *	Started.
 *
 */
/*
 * portrec.h
 *
 *
 * $Header: portrec.h,v 2.2 93/08/10 13:23:27 mrt Exp $
 *
 */

/*
 * External definitions for the Port Records module.
 */


#ifndef	_PORTREC_
#define	_PORT_REC_

#include <mach/boolean.h>

#include "lock_queue.h"
#include "lock_queue_macros.h"
#include "port_defs.h"

/*
 * The null network port.
 */
extern network_port_t		null_network_port;


/*
 * Functions exported.
 */

extern boolean_t pr_init();
/*
*/

extern void pr_destroy();
/*
port_rec_ptr_t		port_rec_ptr;
*/

extern port_rec_ptr_t pr_np_puid_lookup();
/*
np_uid_t		np_puid;
*/

extern port_rec_ptr_t pr_nportlookup();
/*
network_port_ptr_t	nport_ptr;
*/

extern port_rec_ptr_t pr_ntran();
/*
network_port_ptr_t	nport_ptr;
*/

extern port_rec_ptr_t pr_lportlookup();
/*
port_t			lport;
*/

extern port_rec_ptr_t pr_ltran();
/*
port_t			lport;
*/

extern boolean_t pr_nport_equal();
/*
network_port_ptr_t	nport_ptr_1, nport_ptr_2;
*/

extern void pr_nporttostring();
/*
char			*nport_str;
network_port_ptr_t	nport_ptr;
*/

extern lock_queue_t pr_list();
/*
*/


#endif	_PORT_REC_
