/* 
 * Mach Operating System
 * Copyright (c) 1993,1992,1991,1990,1989,1988,1987 Carnegie Mellon University
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 * 
 * CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Carnegie Mellon requests users of this software to return to
 * 
 *  Software Distribution Coordinator   or   Software.Distribution@CS.CMU.EDU
 *  School of Computer Science
 *  Carnegie Mellon University
 *  Pittsburgh PA 15213-3890
 * 
 * any improvements or extensions that they made and grant Carnegie Mellon the
 * rights to redistribute these changes.
 */
/*
 * HISTORY
 * $Log:	vax_fast_lock.h,v $
 * Revision 2.2  93/08/10  13:27:30  mrt
 * 	First checkin to Mach 3.0 RCS tree
 * 
 * Revision 2.1  90/10/27  20:47:01  dpj
 * Moving under MACH3 source control
 * 
 * Revision 1.7  89/05/02  11:19:14  dpj
 * 	Fixed all files to conform to standard copyright/log format
 * 
 * 27-Jul-87  Daniel Julin (dpj) at Carnegie-Mellon University
 *	Created history, code courtesy of rfr.
 */
/*
 * vax_fast_lock.h
 *
 *
 * $Header: vax_fast_lock.h,v 2.2 93/08/10 13:27:30 mrt Exp $
 *
 */

/*
 * Fast inline locking routines for Vax.
 */


#ifndef _VAX_FAST_LOCK_
#define _VAX_FAST_LOCK_ 1

#ifndef	vax
	Sorry, this only works on a Vax.
#endif	vax

#undef spin_lock
#define spin_lock(p_crit) {					\
	extern	int	cthread_critical;			\
	register int not_done = 1;				\
	while (not_done) {					\
		asm("7:	bbssi	$0,_cthread_critical,7b");	\
		if (*(int *)(p_crit) == 0) {			\
			*(int *)(p_crit) = 1; not_done = 0; 	\
		asm("8:	bbcci	$0,_cthread_critical,8b");	\
		} else {					\
		asm("9:	bbcci	$0,_cthread_critical,9b"); }	\
	}							\
}

#undef spin_unlock
#define	spin_unlock(p_crit) {				\
	extern	int	cthread_critical;		\
	asm("7:	bbssi	$0,_cthread_critical,7b");	\
	*(int *)(p_crit) = 0;				\
	asm("8:	bbcci	$0,_cthread_critical,8b");	\
}

#undef mutex_lock
#define mutex_lock(m_crit) {					\
	extern	int	cthread_critical;			\
	extern 	int *	swtch_cnt_ptr; 				\
	register int 	not_done = 1;				\
	while (not_done) {					\
		asm("7:	bbssi	$0,_cthread_critical,7b");	\
		if (*(int *)(m_crit) == 0) {			\
			*(int *)(m_crit) = 1; not_done = 0; 	\
		asm("8:	bbcci	$0,_cthread_critical,8b");	\
		} else {					\
		asm("9:	bbcci	$0,_cthread_critical,9b"); }	\
		if (not_done) { (*swtch_cnt_ptr)++; swtch_pri(127); }	\
	}							\
}

#undef mutex_unlock
#define	mutex_unlock(m_crit) {				\
	extern	int	cthread_critical;		\
	asm("7:	bbssi	$0,_cthread_critical,7b");	\
	*(int *)(m_crit) = 0;				\
	asm("8:	bbcci	$0,_cthread_critical,8b");	\
}


#endif _VAX_FAST_LOCK_
