/* 
 * Mach Operating System
 * Copyright (c) 1993,1992,1991,1990,1989,1988,1987 Carnegie Mellon University
 * All Rights Reserved.
 * 
 * Permission to use, copy, modify and distribute this software and its
 * documentation is hereby granted, provided that both the copyright
 * notice and this permission notice appear in all copies of the
 * software, derivative works or modified versions, and any portions
 * thereof, and that both notices appear in supporting documentation.
 * 
 * CARNEGIE MELLON ALLOWS FREE USE OF THIS SOFTWARE IN ITS "AS IS"
 * CONDITION.  CARNEGIE MELLON DISCLAIMS ANY LIABILITY OF ANY KIND FOR
 * ANY DAMAGES WHATSOEVER RESULTING FROM THE USE OF THIS SOFTWARE.
 * 
 * Carnegie Mellon requests users of this software to return to
 * 
 *  Software Distribution Coordinator   or   Software.Distribution@CS.CMU.EDU
 *  School of Computer Science
 *  Carnegie Mellon University
 *  Pittsburgh PA 15213-3890
 * 
 * any improvements or extensions that they made and grant Carnegie Mellon the
 * rights to redistribute these changes.
 */
/*
 * HISTORY
 * $Log:	nmprofexit.c,v $
 * Revision 2.2  93/08/10  12:49:48  mrt
 * 	First checkin to Mach 3 RCS
 * 
 * Revision 2.1  90/10/27  20:47:16  dpj
 * Moving under MACH3 source control
 * 
 * Revision 1.4  89/05/02  11:20:29  dpj
 * 	Fixed all files to conform to standard copyright/log format
 * 
 * 22-May-87  Robert Sansom (rds) at Carnegie Mellon University
 *	Started.
 *
 */
/*
 * nmprofexit.c
 *
 *
 */

#ifndef	lint
static char     rcsid[] = "$Header: nmprofexit.c,v 2.2 93/08/10 12:49:48 mrt Exp $";
#endif not lint

/*
 * Program to make a profiling network server exit.
 */


#include <mach.h>
#include <stdio.h>
#include <mach/message.h>

#define NETNAME_NAME	"NEW_NETWORK_NAME_SERVER"

main() {
    port_t		prof_port, network_server_port;
    msg_header_t	prof_msg;
    kern_return_t	kr;

    /*
     * Look up the network server.
     */
    if ((kr = netname_look_up(name_server_port, "", NETNAME_NAME, &network_server_port)) == KERN_SUCCESS) {
	printf("Look up of new network server succeeds, port = %d.\n", network_server_port);
    }
    else {
	network_server_port = name_server_port;
	printf("Look up of new network server fails, using standard server, port = %d.\n",
			network_server_port);
    }
    if ((kr = netname_look_up(network_server_port, "", "PROF_EXIT", &prof_port)) == KERN_SUCCESS) {
	printf("Look up of profiling port succeeds - sending message.\n");
	prof_msg.msg_type = MSG_TYPE_NORMAL;
	prof_msg.msg_simple = TRUE;
	prof_msg.msg_local_port = PORT_NULL;
	prof_msg.msg_remote_port = prof_port;
	prof_msg.msg_size = sizeof(msg_header_t);
	if ((kr = msg_send(&prof_msg, MSG_OPTION_NONE, 0)) == KERN_SUCCESS) {
	    printf("Profiling exit message sent successfully.\n");
	}
	else {
	    fprintf(stderr, "msg_send fails, kr = %d.\n", kr);
	}
    }
}

